Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231263

Summary: Review Request: xml-commons-apis12 - JAXP 1.2, DOM 2, SAX 2.0.1, SAX2-ext 1.0 apis
Product: [Fedora] Fedora Reporter: Matt Wringe <mwringe>
Component: Package ReviewAssignee: Matt Wringe <mwringe>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: wtogami: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-13 14:36:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 163779    

Description Matt Wringe 2007-03-07 04:44:48 UTC
Spec URL: https://mwringe.108.redhat.com/files/documents/175/267/xml-commons-apis12.spec
SRPM URL: https://mwringe.108.redhat.com/files/documents/175/268/xml-commons-apis12-1.2.04-0jpp.1.src.rpm
Description: DOM 2 org.w3c.dom and SAX XML 2.0 org.xml.sax processor apis used
by several pieces of Apache software. XSLT 1.0.
This version includes the JAXP 1.2 APIs -- Java API for XML
Processing 1.2, i.e. javax.xml{.parsers,.transform}

Comment 1 Anthony Green 2007-03-07 17:36:40 UTC
The docs seem to be copied to %{_datadir}/%{name}-%{version}
instead of being copied into %{_datadir}/doc/%{name}-%{version}.
They shouldn't be copied manually; just use %doc in %files section.

rpmlint is complaining about non-standard Groups.  The main package should
probably be System/Libraries and the other ones can be Development or something
like that.


Comment 2 Matt Wringe 2007-03-07 19:41:40 UTC
(In reply to comment #1)
> The docs seem to be copied to %{_datadir}/%{name}-%{version}
> instead of being copied into %{_datadir}/doc/%{name}-%{version}.
> They shouldn't be copied manually; just use %doc in %files section.

ok, I changed this to use the %doc section.

> rpmlint is complaining about non-standard Groups.  The main package should
> probably be System/Libraries and the other ones can be Development or something
> like that.

We have always been told that the rpmlint group warnings should just be ignored.
(see https://www.redhat.com/archives/fedora-packaging/2007-February/msg00070.html)
The groups have been updated to get rid of this warning though,

One other change I made to the spec file, I had the wrong license listed. The
package has components under different licenses (Apache, w3c and public domain).
These have been listed as "License: Apache Software License/W3C License/Public
Domain" in the spec file. rpmlint will complain about this situation.

Updated files located here:
https://mwringe.108.redhat.com/files/documents/175/272/xml-commons-apis12.spec
https://mwringe.108.redhat.com/files/documents/175/271/xml-commons-apis12-1.2.04-0jpp.1.src.rpm


Comment 3 Anthony Green 2007-03-09 03:17:38 UTC
Please remove the second BuildRoot.

What is epocj in ...
Provides:       %{name}-apis-javadoc = %{epocj}:%{apis_version_1_2}
?

The %setup section includes...

# remove all binary libs and prebuilt javadocs
rm -rf `find . -name "*.jar" -o -name "*.gz"`

The sources don't include any .jar or .gz files, so I think this could be removed.

Are we adding Red Hat copyright notices to these files (seeing as JPP has them).

I think this should be ready to go once these are taken care of / answered.

Thanks!



Comment 4 Matt Wringe 2007-03-09 22:59:08 UTC
(In reply to comment #3)
> Please remove the second BuildRoot.

removed
 
> What is epocj in ...
> Provides:       %{name}-apis-javadoc = %{epocj}:%{apis_version_1_2}
> ?

oops, spelling mistake, change to epoch

> The %setup section includes...
> 
> # remove all binary libs and prebuilt javadocs
> rm -rf `find . -name "*.jar" -o -name "*.gz"`
> 
> The sources don't include any .jar or .gz files, so I think this could be removed.

removed

> Are we adding Red Hat copyright notices to these files (seeing as JPP has them).
I don't think I have seen them outside of the jpp packages.
> 
> I think this should be ready to go once these are taken care of / answered.
> 
> Thanks!
> 
> 
New Files uploaded there:
https://mwringe.108.redhat.com/files/documents/175/285/xml-commons-apis12.spec
https://mwringe.108.redhat.com/files/documents/175/286/xml-commons-apis12-1.2.04-0jpp.1.src.rpm

Comment 5 Anthony Green 2007-03-10 12:46:02 UTC
Here's the full review.  This package is APPROVED.  Thanks!

* package meets and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* License text included in package.
* source files match upstream (extracted from upstream svn so no md5sum available.)
* latest version is being packaged (well, the latest 1.2 version).
* BuildRequires are proper.
* package builds in mock.

* rpmlint /usr/src/redhat/RPMS/i386/xml-commons-apis12-1.2.04-0jpp.1.i386.rpm 
W: xml-commons-apis12 invalid-license Apache Software License/W3C License/Public
Domain
We can ignore this.  Similarly for other xml-commons-api12 packages.

* final provides and requires are sane:
  dom = 2
  jaxp = 1.2
  sax = 2.0.1
  xml-commons-apis = 1.2
  xml-commons-apis12-1.2.04.jar.so
  xslt = 1.0
  xml-commons-apis12 = 0:1.2.04-0jpp.1
==
  java-gcj-compat
  jpackage-utils >= 0:1.6

* shared libraries are present, but no ldconfig required.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* scriptlets OK
* code, not content.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app (no .desktop file required).
* not a web app.



Comment 6 Matt Wringe 2007-03-12 14:45:31 UTC
New Package CVS Request
=======================
Package Name: xml-commons-apis12
Short Description: AXP 1.2, DOM 2, SAX 2.0.1, SAX2-ext 1.0 apis
Owners: mwringe@redhat.com
Branches: devel
InitialCC: 

Comment 7 Warren Togami 2007-03-13 04:03:03 UTC
Please assign the review to the reviewer in the future.